Summary: X interface to the GDB, DBX and XDB debuggers
Name: ddd
Version: 3.1.6
Release: 2
Group: Development/Debuggers
Copyright: GPL
Url: http://www.cs.tu-bs.de/softech/ddd/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.ips.cs.tu-bs.de/pub/local/softech/ddd/src/ddd-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The Data Display Debugger (DDD) is a popular graphical user interface for
command-line debuggers such as GDB, DBX, JDB, WDB, XDB, the Perl debugger,
and the Python debugger. Besides ``usual'' front-end features such as
viewing source texts, DDD has become famous through its interactive
graphical data display, where data structures are displayed as graphs. A
simple mouse click dereferences pointers or views structure contents,
updated each time the program stops. Using DDD, you can reason about your
application by watching its data, not just by viewing it execute lines of
source code.

This package has motif-2.0 statically linked in.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
$MAKE LIBXM="-Wl,-Bstatic -lXm -Wl,-Bdynamic"
make strip
gzip doc/*.ps


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS BUGS COPYING COPYING.LIB CREDITS ChangeLog* INSTALL NEWS*
%doc NICKNAMES OPENBUGS PROBLEMS README TIPS TODO ddd/Ddd doc
/usr/bin/ddd
/usr/man/man1/ddd.1


%clean
rm -rf $RPM_BUILD_ROOT
